Package org.jbpm.services.task.commands

## Class GetAttachmentCommand

- java.lang.Object
- - org.jbpm.services.task.commands.TaskCommand<org.kie.api.task.model.Attachment>
  - - org.jbpm.services.task.commands.GetAttachmentCommand

- All Implemented Interfaces:
    `Serializable`, `org.kie.api.command.Command<org.kie.api.task.model.Attachment>`, `org.kie.api.command.ExecutableCommand<org.kie.api.task.model.Attachment>`

      public class GetAttachmentCommand
      extends TaskCommand<org.kie.api.task.model.Attachment>

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.jbpm.services.task.commands.TaskCommand

      `groupIds, targetEntityId, taskId, userId`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `GetAttachmentCommand()` |
    `GetAttachmentCommand​(Long attachmentId)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `org.kie.api.task.model.Attachment` | `execute​(org.kie.api.runtime.Context cntxt)` |
    `Long` | `getAttachmentId()` |
    `void` | `setAttachmentId​(Long attachmentId)` |

    - ### Methods inherited from class org.jbpm.services.task.commands.TaskCommand

      `getGroupsIds, getTargetEntityId, getTaskId, getUserId, setGroupsIds, setTargetEntityId, setTaskId, setUserId`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GetAttachmentCommand

          public GetAttachmentCommand()

    - #### GetAttachmentCommand

          public GetAttachmentCommand​(Long attachmentId)

  - ### Method Detail

    - #### getAttachmentId

          public Long getAttachmentId()

    - #### setAttachmentId

          public void setAttachmentId​(Long attachmentId)

    - #### execute

          public org.kie.api.task.model.Attachment execute​(org.kie.api.runtime.Context cntxt)